/* CSS Reset | Published on 18 September 2023 by Andy Bell */

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Prevent font size inflation */
html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}

/* Remove default margin in favour of better control in authored CSS */
body, h1, h2, h3, h4, p,
figure, blockquote, dl, dd {
    margin-block-start: 0;
    margin-block-end: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  line-height: 1.6;
  margin: 0;
  padding: 0;
}

/* Set shorter line heights on headings and interactive elements */
h1, h2, h3, h4 {
  line-height: 1.15;
}

button, input, label {
   line-height: 1; 
}

/* Balance text wrapping on headings */
h1, h2,
h3, h4 {
  text-wrap: balance;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
  text-decoration: none;
  color: currentColor;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input, button,
textarea, select {
  font-family: inherit;
  font-size: inherit;
}

/* Make sure textareas without a rows attribute are not tiny */
textarea:not([rows]) {
  min-height: 10em;
}

/* Anything that has been anchored to should have extra scroll margin */
:target {
  scroll-margin-block: 3rem;
}

/* jiriimlauf.cz CSS */

:root {
    --header-background-color: rgba(255, 255, 255, 1);
    --body-background-color: rgba(255, 255, 255, 1);
    --footer-background-color: rgba(255, 255, 255, 1);
    --primary-font-color: rgba(34, 34, 34, 1);
    --invert-font-color: rgba(255, 255, 255, 1);
    --secondary-font-color: rgba(112, 112, 112, 1);
    --link-font-color: rgba(34, 34, 34, 1);
    --primary-font-family: 'plantin', serif;
    --body-font-size: 16px;
    --h1-size: 1.5rem;
    --h2-size: 1rem;
    --h3-size: 1rem;
    --h4-size: 1rem;
    --h5-size: 1rem;
    --footer-font-size: 0.77rem; 
}

html {
  font-size: var(--body-font-size);
}

body {
  color: var(--primary-font-color);
  background-color: var(--body-background-color);
  font-family: var(--primary-font-family);
}

h1 {
  font-weight: 400;
  font-style: italic;
}

strong {
  font-variant: small-caps;
  font-weight: 400;
}

.underline {
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: auto;
  text-decoration-thickness: auto;
  text-underline-offset: 32.5%;
  text-underline-position: from-font;
  color: rgba(20,65,139,1);
}

.content-wrap {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 32px;
  max-width: 1440px;
  margin: 0 auto;
}

@media (max-width: 840px) {

  .content-wrap {
    width: 100%;
    padding: 32px 24px;
    flex-direction: column;
    justify-content: flex-start;
  }

}

.desktop-left, 
.desktop-right {
  width: 576px;
}

.album-wrap {
  display: block;
  flex-direction: column;
  width: fit-content;
  position: relative;
}

.album-wrap audio {
  display: block;
  position: absolute;
  top: 10%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2222;
}

.album-wrap img {
  position: relative;
  top: 0;
  left: 0;
  z-index: 1111;
}

.download-wrap {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 10px 0 0 0;
}

.qr-wrap {
  display: flex;
  flex-direction: row;
  margin: 40px 0 0 0;
  align-items: center;
}

.qr-wrap img {
  width: 104px;
  height: 104px;
}

.qr-wrap p {
  max-width: 360px;
  margin: 0 0 0 24px;
}

@keyframes underlineDraw {
  to { background-size: 100% 1px; }
}

.qr-wrap p.donate-highlight .donate-line {
  display: inline-table;
  background-image: linear-gradient(rgba(0, 0, 0, 1), rgba(34, 34, 34, 1));
  background-position: 0 calc(100% - 0.1em);
  background-repeat: no-repeat;
  background-size: 0% 1px;
  animation: underlineDraw 0.5s ease forwards;
}

.desktop-left a {
  font-variant: small-caps;
  text-decoration: none;
  color: rgba(20,65,139,1);
}

 .desktop-right a,
 .desktop-left a:hover {
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: auto;
  text-decoration-thickness: auto;
  text-underline-offset: 25%;
  text-underline-position: from-font;
  color: rgba(20,65,139,1);
}

.desktop-right {
  margin: 0 0 0 32px;
}

.desktop-right h1 {
  margin: 0 0 30px 0;
}

.desktop-right p {
  margin-block-end: 0.75rem;
}

.desktop-right p:last-of-type {
  margin-block-end: 0;
}

.desktop-right div.thank-u {
  margin: 60px 0 32px 0;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.desktop-right div.thank-u img {
  width: auto;
  height: 68px;
  padding-bottom: 4px;
}

div.thank-u.mobile {
    display: none;
}

@media (max-width: 1024px) {

  .desktop-right {
    margin: 0 0 0 64px;
  }

}

@media (max-width: 992px) {
  
  .content-wrap {
    flex-direction: column;
  }

  .desktop-left {
    width: 100%;
    order: 2;
  }
 
  .desktop-right {
    width: 100%;
    order: 1;
    margin: 0 0 0 0;
  }

  .desktop-right div.thank-u {
    margin: 60px 0 60px 0;
  }

  .desktop-right div.thank-u img {
    display: none;
  }

  .qr-wrap {
    display: flex;
    flex-direction: column;
    margin: 40px 0 0 0;
    align-items: center;
  }

  .qr-wrap img {
    width: 180px;
    height: 180px;
  }

  .qr-wrap p {
    max-width: 80%;
    margin: 20px 0 0 0;
    text-align: center;
  }

  .download-wrap {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    margin: 20px 0 0 0;
  }

  .download-wrap div {
    display: flex;
    flex-direction: row;
    column-gap: 16px;
  }

  div.thank-u.mobile {
    display: flex;
    justify-content: center;
    margin: 40px 0 0 0;
  }

  .desktop-right div.thank-u.mobile img {
    display: block;
  }

}

